KDE 4.7 PyKDE API Reference

- KDE's Python API

# GeoDataLookAt Class Reference

`from PyKDE4.marble import *`

Inherits: Marble.GeoDataAbstractView → Marble.GeoDataObject → Marble.GeoNode
Namespace: Marble

## Detailed Description

## Methods
| __init__ (self)
| __init__ (self, Marble.GeoDataLookAt other)
float | altitude (self)
Marble.GeoDataCoordinates | coordinates (self)
| detach (self)
float | latitude (self, Marble.GeoDataCoordinates.Unit unit=Marble.GeoDataCoordinates.Radian)
float | longitude (self, Marble.GeoDataCoordinates.Unit unit=Marble.GeoDataCoordinates.Radian)
QString | nodeType (self)
float | range (self)
| setAltitude (self, float altitude)
| setCoordinates (self, Marble.GeoDataCoordinates coordinates)
| setLatitude (self, float latitude, Marble.GeoDataCoordinates.Unit unit=Marble.GeoDataCoordinates.Radian)
| setLongitude (self, float longitude, Marble.GeoDataCoordinates.Unit unit=Marble.GeoDataCoordinates.Radian)
| setRange (self, float range)

## Method Documentation

__init__ | ( |  | self ) |

__init__ | ( | self, |
|  | Marble.GeoDataLookAt | other
| ) |  |  |

float altitude | ( |  | self ) |

retrieves the altitude of the GeoDataLookAt object

Returns:
  latitude

Marble.GeoDataCoordinates coordinates | ( |  | self ) |

retrieve the lat/lon/alt triple as a GeoDataCoordinates object

Returns:
  GeoDataCoordinates

See also:
  longitude latitude altitude

detach | ( |  | self ) |

float latitude | ( | self, |
|  | Marble.GeoDataCoordinates.Unit | unit=Marble.GeoDataCoordinates.Radian
| ) |  |  |

retrieves the latitude of the GeoDataLookAt object use the unit parameter to switch between Radian and DMS

Parameters:

  | unit | units that lon and lat get measured in (default for Radian: north pole at pi/2, southpole at -pi/2)

Returns:
  latitude

float longitude | ( | self, |
|  | Marble.GeoDataCoordinates.Unit | unit=Marble.GeoDataCoordinates.Radian
| ) |  |  |

retrieves the longitude of the GeoDataLookAt object use the unit parameter to switch between Radian and DMS

Parameters:

  | unit | units that lon and lat get measured in (default for Radian: north pole at pi/2, southpole at -pi/2)

Returns:
  latitude

QString nodeType | ( |  | self ) |

float range | ( |  | self ) |

Retrieve the distance (in meters) between the camera and the object looked at

See also:
  setRange

setAltitude | ( | self, |
|  | float | altitude
| ) |  |  |

set the altitude in a GeoDataLookAt object

Parameters:

  | altitude | latitude

setCoordinates | ( | self, |
|  | Marble.GeoDataCoordinates | coordinates
| ) |  |  |

set the GeoDataCoordinates object

Parameters:

  | GeoDataCoordinates |

See also:
  GeoDataCoordinates

setLatitude | ( | self, |
|  | float | latitude,
|  | Marble.GeoDataCoordinates.Unit | unit=Marble.GeoDataCoordinates.Radian
| ) |  |  |

set the latitude in a GeoDataLookAt object

Parameters:

  | latitude | latitude
  | unit | units that lon and lat get measured in (default for Radian: north pole at pi/2, southpole at -pi/2)

setLongitude | ( | self, |
|  | float | longitude,
|  | Marble.GeoDataCoordinates.Unit | unit=Marble.GeoDataCoordinates.Radian
| ) |  |  |

set the longitude in a GeoDataLookAt object

Parameters:

  | longitude | longitude
  | unit | units that lon and lat get measured in (default for Radian: north pole at pi/2, southpole at -pi/2)

setRange | ( | self, |
|  | float | range
| ) |  |  |

Change the distance (in meters) between the camera and the object looked at

See also:
  range